Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class PickedObjectList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<PickedObject>
                  gov.nasa.worldwind.PickedObjectList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<PickedObject>, Collection<PickedObject>, List<PickedObject>, RandomAccess

    public class PickedObjectList

extends ArrayList<PickedObject>

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PickedObjectList()`
`PickedObjectList(PickedObjectList list)`

Method Summary
`PickedObject` | `getTerrainObject()`
`PickedObject` | `getTopObject()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### PickedObjectList

    public PickedObjectList()

### PickedObjectList

    public PickedObjectList(PickedObjectList list)

Method Detail

### getTerrainObject

    public PickedObject getTerrainObject()

### getTopObject

    public PickedObject getTopObject()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD